MEMORY {
	FLASH (rx) : ORIGIN = 0x00000000, LENGTH = 256K
	RAM (rw!x) : ORIGIN = 0x1FFF8000, LENGTH = 64K
}

SECTIONS {
	. = 0x00000000;
	.text : {
		KEEP(*(.vectors))
		. = 0x400;
		KEEP(*(.flashconfig*))
		*(.startup*)
		*(.text*)
		*(.rodata*)
		. = ALIGN(4);
	} > FLASH

	.data : {
		. = ALIGN(4);
		_sflashdata = LOADADDR(.data);
		_sdata = .;
		*(.fastrun*)
		*(.data*)
		. = ALIGN(4);
		_edata = .;
	} > RAM AT > FLASH

	.bss : {
		. = ALIGN(4);
		_sbss = .;
		*(.bss*)
		*(COMMON)
		. = ALIGN(4);
		_ebss = .;
	} > RAM

	_estack = ORIGIN(RAM) + LENGTH(RAM);
}
